package cn.axzo.workflow.common.enums;

/**
 * 审批方式枚举
 *
 * @author wangli
 * @since 2023/11/16 10:10
 */
public enum ApprovalMethodEnum {

    human("human", "人工审批"),
    autoPassed("autoPassed", "自动通过"),
    autoRejection("autoRejection", "自动拒绝"),
    nobody("nobody", "不审批[仅业务节点可能有该值]"),
    ;

    private String type;
    private String desc;

    ApprovalMethodEnum(String type, String desc) {
        this.type = type;
        this.desc = desc;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public String getDesc() {
        return desc;
    }

    public void setDesc(String desc) {
        this.desc = desc;
    }
}
